#!/usr/bin/perl -w -I/vhffs/vhffs-api/src/


use strict;

use Vhffs::Conf;
use Vhffs::User;
use Vhffs::Group;
use Vhffs::Main;
use Vhffs::Object;

my $config;
my $mysql_config;
my $services_config;
my $user;
my $dbh;
my $backend;
my %infos;

my $princ = init Vhffs::Main;

$config = $princ->get_config;

if( $#ARGV != 0 )
{
	print "Error ! Create a new group with : create_group groupname";
	print "Example : create_group soda";
}


print "Creation du group $ARGV[0]\n";
$user = new Vhffs::User( $princ , "sodalol" , 401) ;

if( $user->fetch <= 0 )
{
	print "Erreur, l'utilisateur pour creer le groupe n'existe pas !";

}

my $group = new Vhffs::Group( $princ , $ARGV[0] , $user->get_uid) ;
#on fetche l'utilisateur
my $retour;
$retour = $group->fetch;
if ( $retour > 0  )
{
	print "Ce groupe existe deja\n";
	exit 0;
}


#on le cree dans la base
my $gid = $group->create;
if( $gid lt 0 )
{
	print "Impossible de creer ce groupe, code retour $gid \n";
	exit 0;
}
else
{
	$user->commit;

	print "Utilisateur cree avec comme gid $gid !\n";
}

$group->add_user( $user );


exit;
