#!/usr/bin/perl -w -I/vhffs/vhffs-api/src/


use strict;

use Data::Dumper;
use Vhffs::Conf;
use Vhffs::User;
use Vhffs::Group;
use Vhffs::Main;
use Vhffs::Object;
use Vhffs::Services::Repository;

my $config;
my $mysql_config;
my $services_config;
my $user;
my $dbh;
my $backend;
my %infos;
my $group;

my $princ = init Vhffs::Main;

$config = $princ->get_config;

if( $#ARGV != 0 )
{
         print "Error ! Exec this script as it : create_repository name\nExample : create_repository mypr0n\n";
	 exit( 0 );
}


$user = new Vhffs::User( $princ , "gradator" , 401) ;
$group = new Vhffs::Group( $princ , "gradator" , 401) ;


my $repo = new Vhffs::Services::Repository( $princ , "$ARGV[0]" , $user , $group );

if( defined $repo )
{
	print "object created\n";
}
else
{
	print "object error\n";
	exit;
}

if( $repo->create > 0)
{
	print "Successfully created repository object in the database\n";
}
else
{
	print "ERROR while creating repository object in the database\n";
	exit( 0 );
}

print "plop\n";

if ( $repo->fetch < 0 )
{
	print "Error while fetching informations in the database";
}

$repo->commit;

print Dumper $repo;
